/*
 * This file is part of the ALT project, module Alt-Customize-Branding.
 * Copyright (c) BaseALT Ltd 2020 Pavel Moseev <mars@altlinux.org>
 *
 * This is free software; you can use this application under the GNU
 * General Public License, version 3. See the file "COPYING" for the
 * exact licensing terms.
 */

#include "branding_helper.h"

#include <KLocalizedString>
#include <KAuthActionReply>
#include <QProcess>
#include <QDebug>
#include <stdio.h>
#include <iostream>
#include <QString>
#include <QFile>
#include <QtWidgets>

BrandingHelper::BrandingHelper()
{
    KLocalizedString::setApplicationDomain("alt-customize-branding");
}

ActionReply BrandingHelper::write(const QVariantMap &args)
{
    ActionReply reply;
    bool indicator = false;

    QString str = QStringLiteral("/usr/libexec/kauth/altcusbranding_helper_script");
    QFile myScript(str);
    if (myScript.exists())
    {
        qInfo() << "Script 'altcusbranding_helper_script' found!";
        try
        {
            int res = system(qPrintable(str));
            qInfo() << "Script started successfully!";
            indicator = true;
        }
        catch (QString msg)
        {
            qInfo() << "Script have not been started!";
            indicator = false;
        }
    }
    else qInfo() << "Script not found!";

    if (indicator)
    {
        return ActionReply().SuccessReply();
    }
    else
    {
        qInfo() << "Some error in Branding_Helper.";
        QString output = QStringLiteral("Some error in Branding_Helper.");
        reply.addData(QStringLiteral("output"), output);
        return reply;
    }
}

KAUTH_HELPER_MAIN("org.kde.altcusbranding", BrandingHelper)







